Match account holder
GET/api/account/matching
Checks whether the supplied account holder details match the Volet.com account profile.
Use this method to check that a recipient's name matches their Volet.com account before you pay them, when your flow needs this extra check.
firstNameandlastNameare required; addemailorwalletIdto identify the account.
Step by step: Optional: Validate Volet.com recipient accounts.
Request
Query Parameters
First name of the account holder.
JohnLast name of the account holder.
DoeWallet ID of the account holder.
USD123456789012Responses
- 200
- 400
- 401
- 404
- 500
OK
- application/json
- Schema
- Example
Schema
First Name.
test-valueLast Name.
test-valueWallet Id.
USD123456789012First Name Matching Percentage.
1Last Name Matching Percentage.
1Verified.
true{
"firstName": "test-value",
"lastName": "test-value",
"walletId": "USD123456789012",
"firstNameMatchingPercentage": 1,
"lastNameMatchingPercentage": 1,
"verified": true
}
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}